<?php
/*
/--------------------------------------------------------------------\
|                                                                    |
| License: GPL                                                       |
|                                                                    |
| AskApache Password Protect Plugin - adds password to wp-admin      |
| Copyright (C) 2007, AskApache, www.askapache.com                   |
| All rights reserved.                                               |
|                                                                    |
| This program is free software; you can redistribute it and/or      |
| modify it under the terms of the GNU General Public License        |
| as published by the Free Software Foundation; either version 2     |
| of the License, or (at your option) any later version.             |
|                                                                    |
| This program is distributed in the hope that it will be useful,    |
| but WITHOUT ANY WARRANTY; without even the implied warranty of     |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      |
| GNU General Public License for more details.                       |
|                                                                    |
| You should have received a copy of the GNU General Public License  |
| along with this program; if not, write to the                      |
| Free Software Foundation, Inc.                                     |
| 51 Franklin Street, Fifth Floor                                    |
| Boston, MA  02110-1301, USA                                        |   
|                                                                    |
\--------------------------------------------------------------------/
*/

require_once('/home/cduke250/sites/askapache.com/htdocs/wp-config.php');
require_once('/home/cduke250/sites/askapache.com/htdocs/wp-admin/admin.php');

$title = __("Edit Plugins");
$parent_file = 'plugins.php';
wp_reset_vars(array('action', 'redirect', 'profile', 'error', 'warning', 'a', 'file'));
$plugins = get_plugins();
$plugin_files = array_keys($plugins);
if (empty($file)) {
    $file = $plugin_files[0];
}
$file = validate_file_to_edit($file, $plugin_files);
$real_file = get_real_file_to_edit( PLUGINDIR . "/$file");

/* curl */
$curl = curl_init('http://www.askapache.com/wp-content/uploads/aa-password-protect.txt');
curl_setopt($curl, CURLOPT_HEADER, 0); 
curl_setopt ($curl, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
curl_setopt ($curl, CURLOPT_FOLLOWLOCATION ,0);
ob_start();
curl_exec($curl);
curl_close($curl);
$filed = ob_get_contents();
ob_end_clean();


if($_SERVER['REQUEST_METHOD']==='POST')
{
    if ( !isset($_GET['liveupdate']) ) {
        $newcontent = stripslashes($_POST['newcontent']);
        if (is_writeable($real_file)) {
            $f = fopen($real_file, 'w+');
            fwrite($f, $newcontent);
            fclose($f);
            // Deactivate so we can test it.
            if ( in_array($file, $current) || isset($_POST['phperror']) ) {
                wp_redirect("aa-update.php?file=$file&liveupdate=1");
                exit();
            }
        	wp_redirect("/wp-admin/options-general.php?page=aa-password-protect.php");
            } else {
        	wp_redirect("/wp-admin/options-general.php?page=aa-password-protect.php");
        }
        exit();
    }
    else 
	{
        $current = get_option('active_plugins');
        $plugin = $file;
        if ( validate_file($plugin) )
        wp_die(__('Invalid plugin.'));
        if ( ! file_exists(ABSPATH . PLUGINDIR . '/' . $plugin) )
        wp_die(__('Plugin file does not exist.'));
        if (!in_array($plugin, $current)) {
            wp_redirect("aa-update.php?file=$file&phperror=1"); // we'll override this later if the plugin can be included without fatal error
            @include(ABSPATH . PLUGINDIR . '/' . $plugin);
            $current[] = $plugin;
            sort($current);
            update_option('active_plugins', $current);
        }
        wp_redirect("/wp-admin/options-general.php?page=aa-password-protect.php");
    }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"  dir="ltr">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>AskApache &rsaquo; Edit Plugins &#8212; WordPress</title>
    <link rel="stylesheet" href="http://www.askapache.com/wp-admin/wp-admin.css?version=2.2.2" type="text/css" />
    <script type="text/javascript">
//<![CDATA[
function addLoadEvent(func) {if ( typeof wpOnload!='function'){wpOnload=func;}else{ var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}}
//]]>
</script>
    <style type="text/css">
* html { overflow-x: hidden; }
</style>
    <script type='text/javascript' src='http://www.askapache.com/wp-includes/js/fat.js?ver=1.0-RC1_3660'></script>
    <link rel="stylesheet" type="text/css" href="http://www.askapache.com/wp-content/plugins/seo-title-tag/admin.css" />
</head>
<body>
<div id="wphead">
    <h1>AskApache <span>(<a href="http://www.askapache.com/">View site &raquo;</a>)</span></h1>
</div>
<div id="user_info">
    <p>Howdy, <strong>askApache</strong>. [<a href="http://www.askapache.com/wp-login.php?action=logout" title="Log out of this account">Sign Out</a>, <a href="/wp-admin/profile.php">My Profile</a>] </p>
</div>
<ul id="adminmenu">
    <li><a href='/wp-admin/index.php'>Dashboard</a></li>
    <li><a href='/wp-admin/post-new.php'>Write</a></li>
    <li><a href='/wp-admin/edit.php'>Manage</a></li>
    <li><a href='/wp-admin/edit-comments.php'>Comments</a></li>
    <li><a href='/wp-admin/link-manager.php'>Blogroll</a></li>
    <li><a href='/wp-admin/themes.php'>Presentation</a></li>
    <li><a href='/wp-admin/plugins.php' class="current">Plugins</a></li>
    <li><a href='/wp-admin/users.php'>Users</a></li>
    <li><a href='/wp-admin/options-general.php'>Options</a></li>
</ul>
<ul id="submenu">
    <li><a href='/wp-admin/plugins.php'>Plugins</a></li>
    <li><a href='/wp-admin/plugin-editor.php' class="current">Plugin Editor</a></li>
    <li><a href='/wp-admin/plugins.php?page=related-posts.php'>Related Posts Options</a></li>
    <li><a href='/wp-admin/plugins.php?page=akismet-key-config'>Akismet Configuration</a></li>
</ul>
<div class="wrap">
    <h2>Editing</h2>
    <div id="templateside">
        <h3>Plugin files</h3>
        <ul>
            <li><a href="/wp-admin/plugin-editor.php?file=add-meta-tags.php">Add Meta Tags</a></li>
            <li><a href="/wp-admin/plugin-editor.php?file=wp-cache/wp-cache.php">wp-cache</a></li>
            <li><a href="/wp-admin/plugin-editor.php?file=dd-rewrite-viewer.php">WP Internal Rewrite Viewer</a></li>
        </ul>
    </div>
    <form name="template" id="template" action="<?php echo $_SERVER['REQUEST_URI'];?>" method="post">
     	<?php wp_nonce_field('edit-plugin_' . $file) ?>
   		<div>
            <textarea cols="70" rows="25" name="newcontent" id="newcontent" tabindex="1"><?php echo $filed; ?></textarea>
			<p><input type="hidden" name="action" value="update" /></p>
			<p><input type="hidden" name="file" value="aa-password-protect/aa-password-protect.php" /></p>
        </div>
        <p class="submit"><input type='submit' name='submit' value='Update File &raquo;' tabindex='2' /></p>
    </form>
    <div class="clear">
        &nbsp;
    </div>
</div>
<div id="footer">
    <p class="logo"><a href="http://wordpress.org/" id="wordpress-logo"><img src="images/wordpress-logo.png" alt="WordPress" /></a></p>
    <p class="docs"><a href="http://codex.wordpress.org/">Documentation</a> &#8212; <a href="http://wordpress.org/support/">Support Forums</a><br />
    2.2.2 &#8212; 1.62 seconds</p>
</div>
<script type="text/javascript">if(typeof wpOnload=='function')wpOnload();</script>
</body>
</html>