/****************************************************************************************

AskApache.com

This work is licensed under the Creative Commons Attribution 3.0 United States License.
To view a copy of this license, visit http://creativecommons.org/licenses/by/3.0/us/ 
or send a letter to Creative Commons, 171 Second Street, Suite 300, 
San Francisco, California, 94105, USA.

*****************************************************************************************/



addLoadListener(init_cocotalk);
//------------------------------------
// init_cocotalk
function init_cocotalk(){
    var cocoDiv,cocoForm,cocoResp,cocoWait,btn;

    if(!gi('cocoTalk')) return;
    if(gi('cocoTalk')) cocoDiv=gi('cocoTalk');
    if(gi('cocoTalkForm')) cocoForm=gi('cocoTalkForm');
    if(gi('cocoResponse')) cocoResp=gi('cocoResponse');
    if(gi('coco-waiting')) cocoWait=gi('coco-waiting');
    if(gi('SubscribeSubmit')) btn=gi('SubscribeSubmit')
    addEvent(btn,'mousedown',function(){cocoWait.className='S waiting';btn.className='H';sendData(cocoForm);});
	
	
    var request,queryString,frmm;
queryString='';
    // sendData
    function sendData(frm){
        frmm=frm;
        //setQueryString(frm);
        var url="http://www.askapache.com/cgi-bin/ajax.php";
        httpRequest("POST",url,true);
    } // sendData


    // handleResponse
    function handleResponse( ){
        if(request.readyState == 4){
            if(request.status == 200){
                cocoResp.innerHTML='<p>'+request.responseText+'</p>';
                cocoWait.className='H';
            }
            else alert('A problem occurred with communicating between the XMLHttpRequest object and the server program.');
        }
    } // handleResponse


    // initReq
    function initReq(reqType,url,bool){
        request.onreadystatechange=handleResponse;
        request.open(reqType,url,bool);
        request.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8")
        request.send(queryString);
    } // initReq


    // httpRequest
    function httpRequest(reqType,url,asynch){
        if(window.XMLHttpRequest) request = new XMLHttpRequest( );
        else if (window.ActiveXObject){
            request=new ActiveXObject("Msxml2.XMLHTTP");
            if (! request) request=new ActiveXObject("Microsoft.XMLHTTP");
        }
        if(request) initReq(reqType,url,asynch);
        else alert("Your browser does not permit the use of all of this application's features!");
    } // httpRequest


    // setQueryString
    function setQueryString(frm){
        queryString='';
        var numberElements = frm.elements.length;
        for(var i = 0; i < numberElements; i++) {
            if(i < numberElements-1) queryString += frm.elements[i].name+"="+encodeURIComponent(frm.elements[i].value)+"&";
            else queryString += frm.elements[i].name+"="+encodeURIComponent(frm.elements[i].value);
        }
		queryString+="&ajax=cocotalk";
    } // setQueryString
}
// init_cocotalk
//====================





//------------------------------------
// gi
function gi(eleName){
    if(document.getElementById&&document.getElementById(eleName)) return document.getElementById(eleName); 
    else if(document.all&&document.all(eleName)) return document.all(eleName);
    else if(document.layers&&document.layers[eleName])return document.layers[eleName];
    else return false;
}//====================


//------------------------------------
// addLoadListener
function addLoadListener(fn){
    if(typeof window.addEventListener !='undefined')    window.addEventListener('load',fn,false);
    else if(typeof document.addEventListener !='undefined')    document.addEventListener('load',fn,false);
    else if(typeof window.attachEvent !='undefined')    window.attachEvent('onload',fn);
    else{
        var oldfn=window.onload
        if(typeof window.onload !='function')    window.onload=fn;
        else    window.onload=function(){oldfn();fn();}
    }
}//====================



//------------------------------------
// addEvent
function addEvent(obj,type,fn){
    try{
        if(obj.addEventListener) obj.addEventListener(type,fn,false);
        else if(obj.attachEvent){
            obj["e"+type+fn]=fn
            obj[type+fn]=function(){ obj["e"+type+fn](window.event)}
            obj.attachEvent("on"+type,obj[type+fn]);
        }
    } catch(e){alert(e+'\naddevent problem\nobj:'+fn)}
}//====================


//------------------------------------
// removeEvent
function removeEvent(obj,type,fn){
    if(obj.removeEventListener) obj.removeEventListener(type,fn,false);
    else if(obj.detachEvent){
        obj.detachEvent("on"+type,obj[type+fn])
        obj[type+fn]=null
        obj["e"+type+fn]=null;
    }
}//====================







